#!/bin/sh
#
# $FreeBSD: ports/devel/distcc/files/distccd.sh.in,v 1.2 2006/02/20 20:46:55 dougb Exp $
#

# PROVIDE: distccd
# REQUIRE: NETWORKING
# KEYWORD: shutdown

#
# Add the following lines to /etc/rc.conf to enable distccd:
#
# distccd_enable="YES"
#

distccd_enable=${distccd_enable-"NO"}
distccd_flags=${distccd_flags-"-a 127.0.0.0/8 --user distcc --daemon -P /var/run/distccd.pid"}

. /etc/rc.subr

name=distccd
rcvar=`set_rcvar`

command=/usr/local/sbin/${name}
# extract pid file from distccd_flags (if any)
pidfile="`echo ${distccd_flags} |sed -nE -e 's/^.*-P ([^ ]+).*$/\1/p'`"
# set default value
pidfile=${pidfile:-/var/run/distccd.pid}

distccd_precmd()
{
	# distccd drops root privileges and then attempts to create the pid file
	touch ${pidfile}
	chown distcc:distcc ${pidfile}
}

start_precmd="distccd_precmd"

load_rc_config ${name}
run_rc_command "$1"
